/* Copyright 2026 Brian Duke */

#slideshow-container {
	width: 100%;
	height: 450px;
}

body:has(.full-screen) {
	overflow: hidden;
}

.full-screen {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 999;
	width: 100% !important;
	height: 100% !important;
}

.slideshow {
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
}

.slide-window {
	position: relative;
	width: 100%;
	height: 100%;
	background-color: black;
}

.slide.hidden img,
.slide.hidden .caption-box {
	opacity: 0;
	z-index: 0;
}

.slide img {
	position: absolute;
	z-index: 1;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
	opacity: 1;
	transition: opacity 1s;
}

.caption-box {
	position: absolute;
	z-index: 2;
	left: 0;
	bottom: 0;
	padding: 1rem;
	margin: 1rem;
	min-width: 300px;
	max-width: 80%;
	max-height: 33%;
	overflow: scroll;
	box-sizing: border-box;
	border-radius: 5px;
	background: rgba(0, 0, 0, 0.8);
	color: white;
	opacity: 1;
	transition: opacity 1s;
}

.caption-box .title {
	font-weight: bold;
}

.description {
	font-size: 0.9rem;
}

.progress-bar-container {
	position: relative;
	width: 100%;
	height: 3px;
	background-color: black;
}

.progress-bar {
	position: absolute;
	height: 100%;
	width: 0%;
	background-color: whitesmoke;
	border-top-right-radius: 10px;
	border-bottom-right-radius: 10px;
	transition-property: width;
	transition-timing-function: linear;
}

.progress-bar.active {
	width: 100%;
}

.button {
	position: absolute;
	z-index: 5;
	border-radius: 100%;
	height: 2rem;
	width: 2rem;
	background: black;
	opacity: 50%;
	color: white;
	transition: opacity ease 0.3s;
	cursor: pointer;
}

.button:hover {
	opacity: 100%;
}

.slideshow svg {
	width: 100%;
	height: 100%;
}

#forward {
	top: 50%;
	right: 0;
	margin-right: 1rem;
}

#backward {
	top: 50%;
	left: 0;
	margin-left: 1rem;
}

#play-pause {
	bottom: 0;
	right: 0;
	margin: 1rem;
}

#full-screen {
	top: 0;
	right: 0;
	margin: 1rem;
}

#full-screen::after {
	content: "⤢";
}